Index: modules/uoa-services-portal/trunk/portal-2/src/app/utils/properties/openaireProperties.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/utils/properties/openaireProperties.ts	(revision 45517)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/utils/properties/openaireProperties.ts	(revision 45518)
@@ -24,7 +24,7 @@
     public static searchLinkToAdvancedOrganizations = "search/advanced/organizations";
     public static searchLinkToAdvancedPeople = "search/advanced/people";
 
-//http://beta.services.openaire.eu:8480/search/
+//http://rudie.di.uoa.gr:8080/dnet-functionality-services-2.0.0-SNAPSHOT/
     // Services - APIs
 
     private static metricsAPIURL = "http://vatopedi.di.uoa.gr:8080/stats/";
@@ -37,22 +37,22 @@
 
     // private static searchAPIURL = "http://rudie.di.uoa.gr:8080/dnet-functionality-services-2.0.0-SNAPSHOT/rest/v2/api/";
     // private searchAPIURL     = "http://rudie.di.uoa.gr:8080/dnet-functionality-services-2.0.0-SNAPSHOT/rest/v2.0/api/";
-    private static searchAPIURL     = "http://beta.services.openaire.eu:8480/search/rest/v2/api/";
+    private static searchAPIURL     = "http://rudie.di.uoa.gr:8080/dnet-functionality-services-2.0.0-SNAPSHOT/rest/v2/api/";
     //"http://scoobydoo.di.uoa.gr:8080/dnet-functionality-services-2.0.0-SNAPSHOT/rest/v2/api/";
 
     // private static searchAPIURLLAst     = "http://rudie.di.uoa.gr:8080/dnet-functionality-services-2.0.0-SNAPSHOT/rest/v2/api/";
-    private static searchAPIURLLAst     = "http://beta.services.openaire.eu:8480/search/rest/v2/api/";
+    private static searchAPIURLLAst     = "http://rudie.di.uoa.gr:8080/dnet-functionality-services-2.0.0-SNAPSHOT/rest/v2/api/";
     //private static searchAPIURLLAst = "http://scoobydoo.di.uoa.gr:8080/dnet-functionality-services-2.0.0-SNAPSHOT/rest/v2/api/";
 
     // private static searchResourcesAPIURL     = "http://rudie.di.uoa.gr:8080/dnet-functionality-services-2.0.0-SNAPSHOT/rest/v2/api/resources";
-    private static searchResourcesAPIURL     = "http://beta.services.openaire.eu:8480/search/rest/v2/api/resources";
+    private static searchResourcesAPIURL     = "http://rudie.di.uoa.gr:8080/dnet-functionality-services-2.0.0-SNAPSHOT/rest/v2/api/resources";
 
     //private static searchServiveURL     = "http://astero.di.uoa.gr:8080/dnet-functionality-services-2.0.0-SNAPSHOT/";
-    private static searchServiveURL  = "http://beta.services.openaire.eu:8480/search/";
+    private static searchServiveURL  = "http://rudie.di.uoa.gr:8080/dnet-functionality-services-2.0.0-SNAPSHOT/";
     // private static searchServiveURL  = "http://services.openaire.eu:8380/search/";
     // private static searchServiveURL   = "http://rudie.di.uoa.gr:8080/dnet-functionality-services-2.0.0-SNAPSHOT/";
 
-    private static csvAPIURL = "http://beta.services.openaire.eu:8480/search/rest/v2/api/";//publications?format=csv
+    private static csvAPIURL = "http://rudie.di.uoa.gr:8080/dnet-functionality-services-2.0.0-SNAPSHOT/rest/v2/api/";//publications?format=csv
 
     private static searchCrossrefAPIURL = "http://api.crossref.org/works";
     private static searchDataciteAPIURL = "http://search.datacite.org/api";
Index: modules/uoa-services-portal/trunk/portal-2/src/app/services/reports.service.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/services/reports.service.ts	(nonexistent)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/services/reports.service.ts	(revision 45518)
@@ -0,0 +1,38 @@
+import {Injectable} from '@angular/core';
+import {Http, Response, Headers} from '@angular/http';
+import {Observable}     from 'rxjs/Observable';
+import {OpenaireProperties} from '../utils/properties/openaireProperties';
+import 'rxjs/add/observable/of';
+import 'rxjs/add/operator/do';
+import 'rxjs/add/operator/share';
+import { CacheService  } from '../shared/cache.service';
+
+@Injectable()
+export class ReportsService {
+    // url:string = "http://beta.services.openaire.eu:8480/search/rest/v2/api/publications?format=csv&page=0&size=3&q=(%22test%22)&fq=instancetypename%20exact%20%22Dataset%22";
+    constructor(private http: Http) {}
+//text/html
+    //On the service:
+   downloadCSVFile(url: string){
+     var headers = new Headers();
+     headers.append('responseType', 'arraybuffer');
+     return this.http.get(url)
+               .map(res => new Blob([res['_body']], { type: 'text/csv' }));
+   }
+   downloadHTMLFile(url: string){
+     var headers = new Headers();
+     headers.append('responseType', 'arraybuffer');
+     return this.http.get(url).do(res => console.log(res['_body']))
+               .map(res => new Blob([res['_body']], { type: 'text/html' }))
+               .do(res => console.log(res))
+   }
+
+    private handleError (error: Response) {
+    // in a real world app, we may send the error to some remote logging infrastructure
+    // instead of just logging it to the console
+        console.log(error);
+        return Observable.throw(error  || 'Server error');
+    }
+
+
+}
Index: modules/uoa-services-portal/trunk/portal-2/src/app/services/services.module.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/services/services.module.ts	(revision 45517)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/services/services.module.ts	(revision 45518)
@@ -26,6 +26,7 @@
 
 import {ISVocabulariesService} from './ISVocabularies.service';
 import {RefineFieldResultsService} from './refineFieldResults.service'
+import {ReportsService} from './reports.service'
 
 import {LoginService} from './login.service';
 
@@ -45,7 +46,8 @@
     SearchOrganizationsService, SearchPeopleService, ISVocabulariesService,
     RefineFieldResultsService,
     EntitiesSearchService,
-    LoginService
+    LoginService,
+    ReportsService
 ],
   exports: [
     ]
Index: modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/searchUtils/searchDownload.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/searchUtils/searchDownload.component.ts	(revision 45517)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/searchUtils/searchDownload.component.ts	(revision 45518)
@@ -2,6 +2,7 @@
 import {Observable}       from 'rxjs/Observable';
 import {AlertModal} from '../../utils/modal/alert';
 import {OpenaireProperties} from '../../utils/properties/openaireProperties';
+import {ReportsService} from '../../services/reports.service';
 
 @Component({
     selector: 'search-download',
@@ -8,11 +9,11 @@
     template: `
     <div class= "searchDownload" *ngIf="totalResults > 0">
         <p class="uk-text-right" *ngIf="totalResults <= 10000">
-            <!--a (click)="download()"-->
-            <a href="{{downloadURLAPI}}{{type}}?format=csv&page=0&size={{totalResults}}{{csvParams}}">
-                <span class="glyphicon glyphicon-download" aria-hidden="true"></span>
-                CSV Download
-            </a>
+            <!--a (click)="download()" href="{{downloadURLAPI}}{{type}}?format=csv&page=0&size={{totalResults}}{{csvParams}}" -->
+            <span class="clickable" (click)="downloadfile(downloadURLAPI+type+'?format=csv&page=0&size='+totalResults+csvParams,type='-report-'+totalResults)">
+                <span aria-hidden="true" class="glyphicon glyphicon-download"></span>
+                <span class="uk-icon-download"> Results (CSV)</span>
+            </span>
         </p>
     </div>
     <!--modal-alert></modal-alert-->
@@ -28,7 +29,7 @@
     @Output() downloadClick  = new EventEmitter();
     private downloadURLAPI: string;
 
-    constructor () {}
+    constructor ( private _reportsService: ReportsService) {}
 
     ngOnInit() {
         this.downloadURLAPI = OpenaireProperties.getCsvAPIURL();
@@ -54,4 +55,11 @@
         console.info("denial of Download");
 
     }
+    downloadfile(url:string,filename:string){
+      console.log("Downloading file: "+ url);
+      this._reportsService.downloadCSVFile(url)
+          .subscribe(data => window.open(window.URL.createObjectURL(data),"reports.csv"),
+                      error => console.log("Error downloading the file."),
+                      () => console.log('Completed file download.'));
+      }
 }
Index: modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/searchUtils/searchPage.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/searchUtils/searchPage.component.ts	(revision 45517)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/searchUtils/searchPage.component.ts	(revision 45518)
@@ -135,10 +135,10 @@
          doisParams+=(doisParams.length > 0?" or ":"")+'((pidclassid exact doi) and (pid exact "'+ DOIs[i]+'"))';
        }
        if(doisParams.length > 0){
-         doiQuery += "q=("+doisParams+")"
+         doiQuery += "&q=("+doisParams+")"
        }
      }else{
-        keywordQuery += "q=("+this.quote(keyword) +")"
+        keywordQuery += "&q=("+this.quote(keyword) +")"
 
      }
    }
@@ -282,12 +282,12 @@
           doisParams+=(doisParams.length > 0?" or ":"")+'((pidclassid exact doi) and (pid exact "'+ DOIs[i]+'"))';
         }
         if(doisParams.length > 0){
-          doiQuery += "q=("+doisParams+")"
+          doiQuery += "&q=("+doisParams+")"
         }else{
-          keywordQuery += "q=("+this.quote(this.searchUtils.keyword) +")"
+          keywordQuery += "&q=("+this.quote(this.searchUtils.keyword) +")"
         }
       }else{
-         keywordQuery += "q=("+this.quote(this.searchUtils.keyword) +")"
+         keywordQuery += "&q=("+this.quote(this.searchUtils.keyword) +")"
       }
     }
 
Index: modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/dataProvider/statisticsTab.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/dataProvider/statisticsTab.component.ts	(revision 45517)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/dataProvider/statisticsTab.component.ts	(revision 45518)
@@ -6,36 +6,39 @@
 @Component({
     selector: 'statisticsTab',
     template: `
-    <div *ngIf="searchPublicationsComponent.searchUtils.totalResults == 0 && searchDatasetsComponent.searchUtils.totalResults == 0" class = "uk-alert">
-        There are no statistics
-    </div>
-    <div *ngIf="(searchPublicationsComponent.searchUtils.totalResults != 0 || searchDatasetsComponent.searchUtils.totalResults != 0)">
-      <p>
-        The results below are discovered through our pilot algorithms.
-        <a href="mailto:">Let us know how we are doing!</a>
-      </p>
-      <p class="uk-text-bold">Latest Documents Timeline</p>
-      <i-frame  [url]=docsTimelineUrl width="800" height="350"></i-frame>
-      <p class="uk-text-bold">Documents Types</p>
-      <i-frame [url]=docsTypesUrl width="800" height="350"></i-frame>
-    </div>
+    <div *ngIf="show">
+      <div *ngIf="searchPublicationsComponent.searchUtils.totalResults == 0 && searchDatasetsComponent.searchUtils.totalResults == 0" class = "uk-alert">
+          There are no statistics
+      </div>
+      <div *ngIf="(searchPublicationsComponent.searchUtils.totalResults != 0 || searchDatasetsComponent.searchUtils.totalResults != 0)">
+        <p>
+          The results below are discovered through our pilot algorithms.
+          <a href="mailto:">Let us know how we are doing!</a>
+        </p>
+        <p class="uk-text-bold">Latest Documents Timeline</p>
+        <i-frame  [url]=docsTimelineUrl width="800" height="350"></i-frame>
+        <p class="uk-text-bold">Documents Types</p>
+        <i-frame [url]=docsTypesUrl width="800" height="350"></i-frame>
+      </div>
 
 
-    <div *ngIf="(searchPublicationsComponent.searchUtils.totalResults != 0)">
-        <div>
-          <p class="uk-text-bold">Funders in Data Providers Publications</p>
-          <i-frame  [url]=pubsFunderUrl width="800" height="350"></i-frame>
-          <p class="uk-text-bold">Projects with most Publications</p>
-          <i-frame [url]=pubsProjectsUrl width="800" height="350"></i-frame>
+      <div *ngIf="(searchPublicationsComponent.searchUtils.totalResults > 0)">
+          <div>
+            <p class="uk-text-bold">Funders in Data Providers Publications</p>
+            <i-frame  [url]=pubsFunderUrl width="800" height="350"></i-frame>
+            <p class="uk-text-bold">Projects with most Publications</p>
+            <i-frame [url]=pubsProjectsUrl width="800" height="350"></i-frame>
 
-    </div>
-    <div *ngIf="(searchDatasetsComponent.searchUtils.totalResults != 0)">
-        <div>
-          <p class="uk-text-bold">Projects with most Research Data</p>
-          <i-frame  [url]=dataProjectsUrl width="800" height="350"></i-frame>
+      </div>
+      <div *ngIf="(searchDatasetsComponent.searchUtils.totalResults > 0)">
+          <div>
+            <p class="uk-text-bold">Projects with most Research Data</p>
+            <i-frame  [url]=dataProjectsUrl width="800" height="350"></i-frame>
 
-        </div>
+          </div>
+      </div>
     </div>
+    </div>
     `
 })
 
@@ -45,25 +48,12 @@
     @Input() id;
     @Input() searchDatasetsComponent : SearchDatasetsComponent;
     @Input() searchPublicationsComponent : SearchPublicationsComponent;
+    @Input() show : boolean = false;
 
-    // last docs timeline
-    // (* if pubs and data)
-    private  docsTimelineUrl;
-
-    // document types:
-    // (* if pubs and data)
+    private  docsTimelineUrl: string;
     private  docsTypesUrl:string;
-    //
-    // publications funder
-    // (* if pubs and projects)
     private  pubsFunderUrl:string;
-    //
-    // projects with most research data
-    // (* if data and projects)
     private  dataProjectsUrl:string ;
-    //
-    // projects with most publications
-    // (* if pubs and projects)
     private  pubsProjectsUrl:string;
     constructor () {}
 
Index: modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/organization/organization.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/organization/organization.component.ts	(revision 45517)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/organization/organization.component.ts	(revision 45518)
@@ -3,7 +3,7 @@
 import {ActivatedRoute} from '@angular/router';
 import {OrganizationService} from '../../services/organization.service';
 import {OrganizationInfo} from '../../utils/entities/organizationInfo';
-
+import {ReportsService} from '../../services/reports.service';
 import { SearchDataprovidersComponent } from '../../searchPages/simple/searchDataproviders.component';
 import { SearchDataprovidersService } from '../../services/searchDataproviders.service';
 import {SearchResultComponent} from '../../searchPages/searchUtils/searchResult.component';
@@ -45,7 +45,9 @@
     constructor (private _organizationService: OrganizationService,
         private  route: ActivatedRoute,
         private _searchDataprovidersService: SearchDataprovidersService,
-        private _searchPublicationsService: SearchPublicationsService) {
+        private _searchPublicationsService: SearchPublicationsService,
+        private _reportsService: ReportsService) {
+
             console.info('organization constructor');
             this.searchDataprovidersComponent = new SearchDataprovidersComponent(this.route, this._searchDataprovidersService);
             this.searchPublicationsComponent = new SearchPublicationsComponent(this.route, this._searchPublicationsService);
@@ -169,4 +171,11 @@
                  });
              }
          }
+         downloadfile(url:string){
+           console.log("Downloading file: "+ url);
+           this._reportsService.downloadCSVFile(url)
+               .subscribe(data => window.open(window.URL.createObjectURL(data)),
+                           error => console.log("Error downloading the file."),
+                           () => console.log('Completed file download.'));
+           }
 }
Index: modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/project/project.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/project/project.component.ts	(revision 45517)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/project/project.component.ts	(revision 45518)
@@ -8,7 +8,7 @@
 import { SearchDatasetsComponent } from '../../searchPages/simple/searchDatasets.component';
 import { SearchDatasetsService } from '../../services/searchDatasets.service';
 import {SearchResultComponent} from '../../searchPages/searchUtils/searchResult.component';
-
+import {ReportsService} from '../../services/reports.service';
 import {OpenaireProperties} from '../../utils/properties/openaireProperties';
 
 @Component({
@@ -50,7 +50,8 @@
   constructor (private _projectService: ProjectService,
       private  route: ActivatedRoute,
       private _searchPublicationsService: SearchPublicationsService,
-      private _searchDatasetsService: SearchDatasetsService) {
+      private _searchDatasetsService: SearchDatasetsService,
+      private _reportsService: ReportsService) {
     console.info('project constructor.');
 
     this.searchPublicationsComponent = new SearchPublicationsComponent(this.route, this._searchPublicationsService);
@@ -132,5 +133,11 @@
 		}
     );
    }
-
+   downloadfile(url:string){
+     console.log("Downloading file: "+ url);
+     this._reportsService.downloadCSVFile(url)
+         .subscribe(data => window.open(window.URL.createObjectURL(data)),
+                     error => console.log("Error downloading the file."),
+                     () => console.log('Completed file download.'));
+     }
 }
